/*
==================================

电子工程师学堂
http://www.eeschool.org

官方淘宝店铺
http://i-board.taobao.com

洛阳银杏科技有限公司
LUOYANG GINGKO TECHNOLOGY Co.,Ltd.

=================================
stm8核心板 演示程序 ( IAR 寄存器版 )

现象：板载 LED 闪烁
作者：YangShuai
日期：2013-11-30
================================
*/

#include <iostm8.h>

int main(void)
{
  long int i;
  
  CLK_ICKR_HSIEN = 1;
  
  while(!CLK_ICKR_HSIRDY);
  CLK_CKDIVR &= (unsigned char)(~0x18);
  
  PD_DDR_DDR4 = 1;
  PD_CR1_C14 = 1;
  PD_CR2_C24 = 1;
  
  while(1){
    for(i = 0;i < 100000;i++);
    PD_ODR_ODR4 = 0;
    for(i = 0;i < 100000;i++);
    PD_ODR_ODR4 = 1;
  }
}